Package twisted :: Package protocols :: Module smtp :: Class IMessageDeliveryFactory

[frames | no frames]

## Class IMessageDeliveryFactory

    Interface --+
                |
               IMessageDeliveryFactory

An alternate interface to implement for handling message delivery.

It is useful to implement this interface instead of `IMessageDelivery` directly because it allows the implementor to distinguish between different messages delivery over the same connection. This can be used to optimize delivery of a single message to multiple recipients, something which cannot be done by `IMessageDelivery` implementors due to their lack of information.

Method Summary
| ``getMessageDelivery`(self)` Return an `IMessageDelivery` object.

Method Details

### getMessageDelivery(self)

Return an `IMessageDelivery` object.

This will be called once per message.

Generated by Epydoc 2.0 on Sat May 15 20:08:00 2004 | http://epydoc.sf.net